# DataExchange
TKSTEP209
StepElement

# StepElement_UniformSurfaceSection Class Reference

Representation of STEP entity UniformSurfaceSection
.

`#include <StepElement_UniformSurfaceSection.hxx>`

Inheritance diagram for StepElement_UniformSurfaceSection:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_UniformSurfaceSection ()
| Empty constructor .

Standard_EXPORT void

Init (const StepElement_MeasureOrUnspecifiedValue &aSurfaceSection_Offset, const StepElement_MeasureOrUnspecifiedValue &aSurfaceSection_NonStructuralMass, const StepElement_MeasureOrUnspecifiedValue &aSurfaceSection_NonStructuralMassOffset, const Standard_Real aThickness, const StepElement_MeasureOrUnspecifiedValue &aBendingThickness, const StepElement_MeasureOrUnspecifiedValue &aShearThickness)

| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Real | Thickness () const
| Returns field Thickness .
Standard_EXPORT void | SetThickness (const Standard_Real Thickness)
| Set field Thickness .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | BendingThickness () const
| Returns field BendingThickness .
Standard_EXPORT void | SetBendingThickness (const StepElement_MeasureOrUnspecifiedValue &BendingThickness)
| Set field BendingThickness .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | ShearThickness () const
| Returns field ShearThickness .
Standard_EXPORT void | SetShearThickness (const StepElement_MeasureOrUnspecifiedValue &ShearThickness)
| Set field ShearThickness .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theThickness
StepElement_MeasureOrUnspecifiedValue | theBendingThickness
StepElement_MeasureOrUnspecifiedValue | theShearThickness

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_UniformSurfaceSection::StepElement_UniformSurfaceSection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepElement_UniformSurfaceSection::BendingThickness | ( |  | ) | const

Standard_EXPORT const StepElement_UniformSurfaceSection::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepElement_SurfaceSection.

Standard_EXPORT void StepElement_UniformSurfaceSection::Init | ( | const StepElement_MeasureOrUnspecifiedValue & | aSurfaceSection_Offset,
|  | const StepElement_MeasureOrUnspecifiedValue & | aSurfaceSection_NonStructuralMass,
|  | const StepElement_MeasureOrUnspecifiedValue & | aSurfaceSection_NonStructuralMassOffset,
|  | const Standard_Real | aThickness,
|  | const StepElement_MeasureOrUnspecifiedValue & | aBendingThickness,
|  | const StepElement_MeasureOrUnspecifiedValue & | aShearThickness
| ) |

Standard_EXPORT void StepElement_UniformSurfaceSection::SetBendingThickness | ( | const StepElement_MeasureOrUnspecifiedValue & | BendingThickness | ) |

Standard_EXPORT void StepElement_UniformSurfaceSection::SetShearThickness | ( | const StepElement_MeasureOrUnspecifiedValue & | ShearThickness | ) |

Standard_EXPORT void StepElement_UniformSurfaceSection::SetThickness | ( | const Standard_Real | Thickness | ) |

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepElement_UniformSurfaceSection::ShearThickness | ( |  | ) | const

Standard_EXPORT Standard_Real StepElement_UniformSurfaceSection::Thickness | ( |  | ) | const

## Field Documentation

StepElement_MeasureOrUnspecifiedValue StepElement_UniformSurfaceSection::theBendingThickness `[private]`

StepElement_MeasureOrUnspecifiedValue StepElement_UniformSurfaceSection::theShearThickness `[private]`

Standard_Real StepElement_UniformSurfaceSection::theThickness `[private]`

The documentation for this class was generated from the following file:

- StepElement_UniformSurfaceSection.hxx